aagc.vo

## Class RichiestaProrogaRequest

- java.lang.Object
- - aagc.vo.RichiestaProrogaRequest

-     public class RichiestaProrogaRequest
      extends java.lang.Object

  Classe Java per richiestaProrogaRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="richiestaProrogaRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="identificativoPAI">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="6"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataInizio">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFine">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataRichiesta">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descrizioneMotivo">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceCategoriaRichiedente">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="1"/>
                     <pattern value="[a-zA-Z0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceCategoriaRichiedente`
    `protected java.lang.String` | `dataFine`
    `protected java.lang.String` | `dataInizio`
    `protected java.lang.String` | `dataRichiesta`
    `protected java.lang.String` | `descrizioneMotivo`
    `protected java.lang.String` | `identificativoPAI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichiestaProrogaRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceCategoriaRichiedente()` Recupera il valore della proprietà codiceCategoriaRichiedente.
    `java.lang.String` | `getDataFine()` Recupera il valore della proprietà dataFine.
    `java.lang.String` | `getDataInizio()` Recupera il valore della proprietà dataInizio.
    `java.lang.String` | `getDataRichiesta()` Recupera il valore della proprietà dataRichiesta.
    `java.lang.String` | `getDescrizioneMotivo()` Recupera il valore della proprietà descrizioneMotivo.
    `java.lang.String` | `getIdentificativoPAI()` Recupera il valore della proprietà identificativoPAI.
    `void` | `setCodiceCategoriaRichiedente(java.lang.String value)` Imposta il valore della proprietà codiceCategoriaRichiedente.
    `void` | `setDataFine(java.lang.String value)` Imposta il valore della proprietà dataFine.
    `void` | `setDataInizio(java.lang.String value)` Imposta il valore della proprietà dataInizio.
    `void` | `setDataRichiesta(java.lang.String value)` Imposta il valore della proprietà dataRichiesta.
    `void` | `setDescrizioneMotivo(java.lang.String value)` Imposta il valore della proprietà descrizioneMotivo.
    `void` | `setIdentificativoPAI(java.lang.String value)` Imposta il valore della proprietà identificativoPAI.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identificativoPAI

          protected java.lang.String identificativoPAI

    - #### dataInizio

          protected java.lang.String dataInizio

    - #### dataFine

          protected java.lang.String dataFine

    - #### dataRichiesta

          protected java.lang.String dataRichiesta

    - #### descrizioneMotivo

          protected java.lang.String descrizioneMotivo

    - #### codiceCategoriaRichiedente

          protected java.lang.String codiceCategoriaRichiedente

  - ### Constructor Detail

    - #### RichiestaProrogaRequest

          public RichiestaProrogaRequest()

  - ### Method Detail

    - #### getIdentificativoPAI

          public java.lang.String getIdentificativoPAI()

      Recupera il valore della proprietà identificativoPAI.
      Returns:
        possible object is `String`

    - #### setIdentificativoPAI

          public void setIdentificativoPAI(java.lang.String value)

      Imposta il valore della proprietà identificativoPAI.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizio

          public java.lang.String getDataInizio()

      Recupera il valore della proprietà dataInizio.
      Returns:
        possible object is `String`

    - #### setDataInizio

          public void setDataInizio(java.lang.String value)

      Imposta il valore della proprietà dataInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFine

          public java.lang.String getDataFine()

      Recupera il valore della proprietà dataFine.
      Returns:
        possible object is `String`

    - #### setDataFine

          public void setDataFine(java.lang.String value)

      Imposta il valore della proprietà dataFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataRichiesta

          public java.lang.String getDataRichiesta()

      Recupera il valore della proprietà dataRichiesta.
      Returns:
        possible object is `String`

    - #### setDataRichiesta

          public void setDataRichiesta(java.lang.String value)

      Imposta il valore della proprietà dataRichiesta.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizioneMotivo

          public java.lang.String getDescrizioneMotivo()

      Recupera il valore della proprietà descrizioneMotivo.
      Returns:
        possible object is `String`

    - #### setDescrizioneMotivo

          public void setDescrizioneMotivo(java.lang.String value)

      Imposta il valore della proprietà descrizioneMotivo.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceCategoriaRichiedente

          public java.lang.String getCodiceCategoriaRichiedente()

      Recupera il valore della proprietà codiceCategoriaRichiedente.
      Returns:
        possible object is `String`

    - #### setCodiceCategoriaRichiedente

          public void setCodiceCategoriaRichiedente(java.lang.String value)

      Imposta il valore della proprietà codiceCategoriaRichiedente.
      Parameters:
        `value` - allowed object is `String`